import { authUsersListQueryParser } from './parsers';
import { z } from 'zod';

export enum UserIdBrand {
  _ = '',
}

export type UserId = string & UserIdBrand;

// a bit of a duplicate but it's api layer and isn't concerned with firebase specifics
export type AuthUser = {
  uid: UserId;
  email?: string;
};

export type AuthUserExtended = {
  uid: UserId;
  email?: string;
  displayName?: string;
  photoURL?: string;
  metadata?: Record<string, string>;
};
export type AuthUsersResult = {
  users: AuthUser[];
  pageToken?: string;
};

export declare type AuthUsersListQuery = z.infer<typeof authUsersListQueryParser>;
