import { BlogId } from '../blog/id.types';
import { z } from 'zod';
import { SPECIAL_COLLECTIVE_ID_EXTERNAL } from '../specialities/collective/specialCollectiveId';
import { firebaseAdminIdParser } from './parsers.admin';
import { StripeProductId } from '../stripe/types';

export enum CollectiveIdBrand {
  _ = '',
}

export type CollectiveId = string & (CollectiveIdBrand | typeof SPECIAL_COLLECTIVE_ID_EXTERNAL);
export type CollectiveAdminId = z.infer<typeof firebaseAdminIdParser>;
export interface CollectiveIdTrait {
  id: CollectiveId;
}

export interface CollectiveAdminsTrait {
  admins: BlogId[];
}

export interface CollectiveCore extends CollectiveAdminsTrait {
  admins: BlogId[];
  alias?: string;
  blogs: BlogId[];
  collectiveSupport?: boolean;
  common?: boolean;
  commonBlogs: string[];
  description?: string;
  gofa?: boolean;
  hq?: string;
  image?: string;
  launched: boolean;
  location?: string;
  mv?: string;
  MV?: string;
  name: string;
  planetFlyer?: string;
  planetImage?: string;
  planetName?: string;
  planetPosition: Record<string, number | null>;
  price?: number;
  radio?: boolean;
  smallImage?: string;
  sourceCollective: string;
  stripeProductID: StripeProductId;
  subscribers: string[];
  type?: string;
  updatedBy?: string;
  verified: boolean;
}

export interface CollectiveDerived {
  nameLowercase: string;
  searchTokens: string[];
}

export interface CollectiveWithTime {
  created: Date;
}

export type Collective = CollectiveCore & CollectiveIdTrait;
