"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const parsers_1 = require("./parsers");
describe('signup parsers', () => {
    describe('password', () => {
        describe('entropy', () => {
            test('good with an average password', () => {
                expect(parsers_1.passwordEntropyParser.safeParse('meowmeowcat').success).toBe(true);
                expect(parsers_1.passwordEntropyParser.safeParse('qwerty12345678').success).toBe(true);
                expect(parsers_1.passwordEntropyParser.safeParse('qwErty!!!').success).toBe(true);
            });
            test('good with a mnemonics password', () => {
                expect(parsers_1.passwordEntropyParser.safeParse('horse shoe cheddar blue').success).toBe(true);
            });
            test('good with a big brain password', () => {
                expect(parsers_1.passwordEntropyParser.safeParse(':tR(vaeRPD!O').success).toBe(true);
            });
            test('bad with a weak password', () => {
                expect(parsers_1.passwordEntropyParser.safeParse('12345678').success).toBe(false);
                expect(parsers_1.passwordEntropyParser.safeParse('george').success).toBe(false);
            });
        });
    });
});
exports.default = {};
