import { z } from 'zod';
import type { UserBooksReportResponseSerialized, UsersBooksReportResponseSerialized } from './types';
export declare const usersBooksQueryParser: z.ZodObject<z.extendShape<z.extendShape<{
    limit: z.ZodOptional<z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>>;
}, {
    offset: z.ZodDefault<z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>>;
}>, {
    userId: z.ZodOptional<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../../user/types").UserIdBrand, string>>;
    minOutstandingPayout: z.ZodOptional<z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>>;
    hasPayoutMethod: z.ZodEffects<z.ZodOptional<z.ZodEnum<["true", "false", ""]>>, boolean | undefined, "true" | "false" | "" | undefined>;
}>, "strip", z.ZodTypeAny, {
    limit?: number | undefined;
    userId?: import("../../user/types").UserIdBrand | undefined;
    minOutstandingPayout?: number | undefined;
    hasPayoutMethod?: boolean | undefined;
    offset: number;
}, {
    limit?: string | number | undefined;
    offset?: string | number | undefined;
    userId?: string | undefined;
    minOutstandingPayout?: string | number | undefined;
    hasPayoutMethod?: "true" | "false" | "" | undefined;
}>;
export declare const userBooksQueryParser: z.ZodObject<Omit<z.extendShape<{
    limit: z.ZodOptional<z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>>;
}, {
    offset: z.ZodDefault<z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>>;
}>, never>, "strip", z.ZodTypeAny, {
    limit?: number | undefined;
    offset: number;
}, {
    limit?: string | number | undefined;
    offset?: string | number | undefined;
}>;
export declare const userBooksParamsParser: z.ZodObject<z.extendShape<z.extendShape<{
    limit: z.ZodOptional<z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>>;
}, {
    offset: z.ZodDefault<z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>>;
}>, {
    userId: z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../../user/types").UserIdBrand, string>;
}>, "strip", z.ZodTypeAny, {
    limit?: number | undefined;
    offset: number;
    userId: import("../../user/types").UserIdBrand;
}, {
    limit?: string | number | undefined;
    offset?: string | number | undefined;
    userId: string;
}>;
export declare const usersBooksResultParser: z.ZodEffects<z.ZodAny, UsersBooksReportResponseSerialized, any>;
export declare const userBooksResultParser: z.ZodEffects<z.ZodAny, UserBooksReportResponseSerialized, any>;
export declare const userBooksUsersResultParser: z.ZodArray<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../../user/types").UserIdBrand, string>, "many">;
export declare const userBooksUsersQueryParser: z.ZodObject<{
    startsWith: z.ZodDefault<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    startsWith: string;
}, {
    startsWith?: string | undefined;
}>;
