import { BOOK_OPS, BOOK_TYPES, PLACE_KINDS, PLACE_OPERATION } from './constants';
export declare type BookType = typeof BOOK_TYPES[number];
export declare const bookTypeToPlaceKind: {
    readonly "payins.author": "asset";
    readonly "payins.enjoyer": "asset";
    readonly "refunds.author": "asset";
    readonly "refunds.enjoyer": "asset";
    readonly "payouts.author": "asset";
    readonly "payouts.enjoyer": "asset";
    readonly "queued.author": "liability";
    readonly "deprivations.author": "asset";
    readonly "pending.author": "liability";
    readonly "pending.enjoyer": "liability";
};
export declare type BookTypeToPlaceKind = typeof bookTypeToPlaceKind;
export declare type PlaceKind = typeof PLACE_KINDS[number];
export declare type PlaceOperation = typeof PLACE_OPERATION[number];
export declare type BookOp = typeof BOOK_OPS[number];
export declare const placeKindAndBookOpToPlaceOperation: {
    [kind in PlaceKind]: {
        [op in BookOp]: PlaceOperation;
    };
};
export declare type PlaceKindAndBookOpToPlaceOperation = typeof placeKindAndBookOpToPlaceOperation;
declare enum JournalEntryIdBrand {
    _ = ""
}
export declare type JournalEntryId = string & JournalEntryIdBrand;
declare enum BookEntryIdBrand {
    _ = ""
}
export declare type BookEntryId = string & BookEntryIdBrand;
declare enum ShelfIdBrand {
    _ = ""
}
export declare type ShelfId = string & ShelfIdBrand;
declare enum BookIdBrand {
    _ = ""
}
export declare type BookId = string & BookIdBrand;
export {};
