import { z } from 'zod';
export declare const channelListParamsParser: z.ZodObject<z.extendShape<z.extendShape<{
    limit: z.ZodDefault<z.ZodOptional<z.ZodEffects<z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>, number, string | number>>>;
}, {
    offset: z.ZodDefault<z.ZodOptional<z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>>>;
}>, {
    adminId: z.ZodOptional<z.ZodUnion<[z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../blog/id.types").BlogIdBrand, string>, z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../user/types").UserIdBrand, string>]>>;
}>, "strict", z.ZodTypeAny, {
    adminId?: import("../user/types").UserIdBrand | import("../blog/id.types").BlogIdBrand | undefined;
    limit: number;
    offset: number;
}, {
    limit?: string | number | undefined;
    offset?: string | number | undefined;
    adminId?: string | undefined;
}>;
export declare type ChannelListParams = z.infer<typeof channelListParamsParser>;
export declare const channelIdParser: z.ZodUnion<[z.ZodUnion<[z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../blog/id.types").BlogIdBrand, string>, z.ZodEffects<z.ZodUnion<[z.ZodLiteral<"COMMON 06">, z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>]>, "COMMON 06" | import("../collective/types").CollectiveIdBrand, string>]>, z.ZodEffects<z.ZodString, import("../mixspace/id.types").MixspaceIdBrand, string>]>;
export declare const channelCompositeIdParser: z.ZodDiscriminatedUnion<"type", z.Primitive, z.ZodObject<{
    type: z.ZodLiteral<"blog">;
    id: z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../blog/id.types").BlogIdBrand, string>;
}, "strip", z.ZodTypeAny, {
    type: "blog";
    id: import("../blog/id.types").BlogIdBrand;
}, {
    type: "blog";
    id: string;
}> | z.ZodObject<{
    type: z.ZodLiteral<"collective">;
    id: z.ZodEffects<z.ZodUnion<[z.ZodLiteral<"COMMON 06">, z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>]>, "COMMON 06" | import("../collective/types").CollectiveIdBrand, string>;
}, "strip", z.ZodTypeAny, {
    type: "collective";
    id: "COMMON 06" | import("../collective/types").CollectiveIdBrand;
}, {
    type: "collective";
    id: string;
}> | z.ZodObject<{
    type: z.ZodLiteral<"mixspace">;
    id: z.ZodEffects<z.ZodString, import("../mixspace/id.types").MixspaceIdBrand, string>;
}, "strip", z.ZodTypeAny, {
    type: "mixspace";
    id: import("../mixspace/id.types").MixspaceIdBrand;
}, {
    type: "mixspace";
    id: string;
}>>;
export declare const channelGetOneParamsParser: z.ZodObject<{
    id: z.ZodUnion<[z.ZodUnion<[z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../blog/id.types").BlogIdBrand, string>, z.ZodEffects<z.ZodUnion<[z.ZodLiteral<"COMMON 06">, z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>]>, "COMMON 06" | import("../collective/types").CollectiveIdBrand, string>]>, z.ZodEffects<z.ZodString, import("../mixspace/id.types").MixspaceIdBrand, string>]>;
}, "strip", z.ZodTypeAny, {
    id: import("../blog/id.types").BlogIdBrand | "COMMON 06" | import("../collective/types").CollectiveIdBrand | import("../mixspace/id.types").MixspaceIdBrand;
}, {
    id: string;
}>;
export declare type ChannelGetOneParams = z.infer<typeof channelGetOneParamsParser>;
export declare const blogIdTraitParser: z.ZodObject<{
    id: z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../blog/id.types").BlogIdBrand, string>;
}, "strip", z.ZodTypeAny, {
    id: import("../blog/id.types").BlogIdBrand;
}, {
    id: string;
}>;
export declare const collectiveChannelCreateInput: z.ZodObject<{
    MV: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    admins: z.ZodArray<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../blog/id.types").BlogIdBrand, string>, "many">;
    alias: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    blogs: z.ZodArray<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../blog/id.types").BlogIdBrand, string>, "many">;
    collectiveSupport: z.ZodDefault<z.ZodBoolean>;
    common: z.ZodDefault<z.ZodBoolean>;
    commonBlogs: z.ZodArray<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../blog/id.types").BlogIdBrand, string>, "many">;
    description: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    gofa: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>;
    hq: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    image: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    launched: z.ZodDefault<z.ZodBoolean>;
    location: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    mv: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    name: z.ZodString;
    planetFlyer: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    planetImage: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    planetName: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    planetPosition: z.ZodObject<{
        x: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodNumber, z.ZodNull]>>>, number | undefined, number | null | undefined>;
        y: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodNumber, z.ZodNull]>>>, number | undefined, number | null | undefined>;
    }, "strip", z.ZodTypeAny, {
        x?: number | undefined;
        y?: number | undefined;
    }, {
        x?: number | null | undefined;
        y?: number | null | undefined;
    }>;
    price: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodNumber, z.ZodNull]>>>, number | undefined, number | null | undefined>;
    radio: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>;
    smallImage: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    sourceCollective: z.ZodUnion<[z.ZodUnion<[z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../blog/id.types").BlogIdBrand, string>, z.ZodEffects<z.ZodUnion<[z.ZodLiteral<"COMMON 06">, z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>]>, "COMMON 06" | import("../collective/types").CollectiveIdBrand, string>]>, z.ZodEffects<z.ZodString, import("../mixspace/id.types").MixspaceIdBrand, string>]>;
    stripeProductID: z.ZodEffects<z.ZodString, import("../stripe/types").StripeProductIdBrand, string>;
    subscribers: z.ZodDefault<z.ZodArray<z.ZodUnion<[z.ZodUnion<[z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../blog/id.types").BlogIdBrand, string>, z.ZodEffects<z.ZodUnion<[z.ZodLiteral<"COMMON 06">, z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>]>, "COMMON 06" | import("../collective/types").CollectiveIdBrand, string>]>, z.ZodEffects<z.ZodString, import("../mixspace/id.types").MixspaceIdBrand, string>]>, "many">>;
    type: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    updatedBy: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    verified: z.ZodDefault<z.ZodBoolean>;
}, "strip", z.ZodTypeAny, {
    type?: string | undefined;
    MV?: string | undefined;
    alias?: string | undefined;
    description?: string | undefined;
    gofa?: boolean | undefined;
    hq?: string | undefined;
    image?: string | undefined;
    location?: string | undefined;
    mv?: string | undefined;
    planetFlyer?: string | undefined;
    planetImage?: string | undefined;
    planetName?: string | undefined;
    price?: number | undefined;
    radio?: boolean | undefined;
    smallImage?: string | undefined;
    updatedBy?: string | undefined;
    admins: import("../blog/id.types").BlogIdBrand[];
    blogs: import("../blog/id.types").BlogIdBrand[];
    collectiveSupport: boolean;
    common: boolean;
    commonBlogs: import("../blog/id.types").BlogIdBrand[];
    launched: boolean;
    name: string;
    planetPosition: {
        x?: number | undefined;
        y?: number | undefined;
    };
    sourceCollective: import("../blog/id.types").BlogIdBrand | "COMMON 06" | import("../collective/types").CollectiveIdBrand | import("../mixspace/id.types").MixspaceIdBrand;
    stripeProductID: import("../stripe/types").StripeProductIdBrand;
    subscribers: (import("../blog/id.types").BlogIdBrand | "COMMON 06" | import("../collective/types").CollectiveIdBrand | import("../mixspace/id.types").MixspaceIdBrand)[];
    verified: boolean;
}, {
    type?: string | null | undefined;
    MV?: string | null | undefined;
    alias?: string | null | undefined;
    collectiveSupport?: boolean | undefined;
    common?: boolean | undefined;
    description?: string | null | undefined;
    gofa?: boolean | null | undefined;
    hq?: string | null | undefined;
    image?: string | null | undefined;
    launched?: boolean | undefined;
    location?: string | null | undefined;
    mv?: string | null | undefined;
    planetFlyer?: string | null | undefined;
    planetImage?: string | null | undefined;
    planetName?: string | null | undefined;
    price?: number | null | undefined;
    radio?: boolean | null | undefined;
    smallImage?: string | null | undefined;
    subscribers?: string[] | undefined;
    updatedBy?: string | null | undefined;
    verified?: boolean | undefined;
    admins: string[];
    blogs: string[];
    commonBlogs: string[];
    name: string;
    planetPosition: {
        x?: number | null | undefined;
        y?: number | null | undefined;
    };
    sourceCollective: string;
    stripeProductID: string;
}>;
export declare const channelTypeParser: z.ZodEnum<["collective", "blog", "mixspace"]>;
