import { Collective } from './types';
import { z } from 'zod';
export declare const collectiveBeneficiaryTraitParser: z.ZodObject<{
    admins: z.ZodArray<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../blog/id.types").BlogIdBrand, string>, "many">;
}, "strip", z.ZodTypeAny, {
    admins: import("../blog/id.types").BlogIdBrand[];
}, {
    admins: string[];
}>;
export declare const collectiveListQueryParser: z.ZodObject<z.extendShape<z.extendShape<{
    limit: z.ZodDefault<z.ZodOptional<z.ZodEffects<z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>, number, string | number>>>;
}, {
    offset: z.ZodDefault<z.ZodOptional<z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>>>;
}>, {
    adminId: z.ZodOptional<z.ZodUnion<[z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../blog/id.types").BlogIdBrand, string>, z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../user/types").UserIdBrand, string>]>>;
}>, "strict", z.ZodTypeAny, {
    adminId?: import("../user/types").UserIdBrand | import("../blog/id.types").BlogIdBrand | undefined;
    limit: number;
    offset: number;
}, {
    limit?: string | number | undefined;
    offset?: string | number | undefined;
    adminId?: string | undefined;
}>;
export declare const collectiveListResultParser: z.ZodEffects<z.ZodArray<z.ZodAny, "many">, Collective[], any[]>;
export declare const collectiveIdParser: z.ZodEffects<z.ZodString, import("./types").CollectiveId, string>;
export declare const collectiveGetOneParamsParser: z.ZodObject<{
    id: z.ZodEffects<z.ZodString, import("./types").CollectiveId, string>;
}, "strip", z.ZodTypeAny, {
    id: import("./types").CollectiveId;
}, {
    id: string;
}>;
export declare const collectiveGetOneResultParser: z.ZodEffects<z.ZodAny, Collective, any>;
export declare const collectiveDeleteParamsParser: z.ZodObject<{
    id: z.ZodEffects<z.ZodString, import("./types").CollectiveId, string>;
}, "strip", z.ZodTypeAny, {
    id: import("./types").CollectiveId;
}, {
    id: string;
}>;
export declare const collectiveAdminParser: z.ZodString;
export declare const makeCollectiveAdminsTraitParser: <T1, T extends z.ZodType<T1, z.ZodTypeDef, T1>>(a: T) => z.ZodObject<{
    admins: T;
}, "strip", z.ZodTypeAny, z.objectUtil.addQuestionMarks<{
    admins: T["_output"];
}> extends infer T_1 ? { [k_1 in keyof T_1]: z.objectUtil.addQuestionMarks<{
    admins: T["_output"];
}>[k_1]; } : never, z.objectUtil.addQuestionMarks<{
    admins: T["_input"];
}> extends infer T_2 ? { [k_3 in keyof T_2]: z.objectUtil.addQuestionMarks<{
    admins: T["_input"];
}>[k_3]; } : never>;
export declare const makeCollectiveAdminsParser: <T extends string, P extends z.ZodType<T, z.ZodTypeDef, T>>(p: P) => z.ZodArray<P, "many">;
export declare const collectiveAdminParserAdminsTraitParser: z.ZodObject<{
    admins: z.ZodArray<z.ZodString, "many">;
}, "strip", z.ZodTypeAny, {
    admins: string[];
}, {
    admins: string[];
}>;
export declare const collectiveCreateInputParser: z.ZodObject<z.extendShape<{
    alias: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    blogs: z.ZodDefault<z.ZodArray<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../blog/id.types").BlogIdBrand, string>, "many">>;
    collectiveSupport: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>;
    common: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>;
    commonBlogs: z.ZodDefault<z.ZodArray<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../blog/id.types").BlogIdBrand, string>, "many">>;
    description: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    gofa: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>;
    hq: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    image: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    launched: z.ZodDefault<z.ZodBoolean>;
    location: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    mv: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    MV: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    name: z.ZodString;
    planetFlyer: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    planetImage: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    planetName: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    planetPosition: z.ZodDefault<z.ZodRecord<z.ZodString, z.ZodNullable<z.ZodNumber>>>;
    price: z.ZodEffects<z.ZodOptional<z.ZodNullable<z.ZodNumber>>, number | undefined, number | null | undefined>;
    radio: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>;
    smallImage: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    sourceCollective: z.ZodEffects<z.ZodUnion<[z.ZodLiteral<"COMMON 06">, z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>]>, "COMMON 06" | import("./types").CollectiveIdBrand, string>;
    stripeProductID: z.ZodEffects<z.ZodString, import("../stripe/types").StripeProductIdBrand, string>;
    subscribers: z.ZodDefault<z.ZodArray<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../user/types").UserIdBrand, string>, "many">>;
    type: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    updatedBy: z.ZodString;
    verified: z.ZodDefault<z.ZodBoolean>;
}, {
    admins: z.ZodArray<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../blog/id.types").BlogIdBrand, string>, "many">;
}>, "strip", z.ZodTypeAny, {
    type?: string | undefined;
    MV?: string | undefined;
    alias?: string | undefined;
    collectiveSupport?: boolean | undefined;
    common?: boolean | undefined;
    description?: string | undefined;
    gofa?: boolean | undefined;
    hq?: string | undefined;
    image?: string | undefined;
    location?: string | undefined;
    mv?: string | undefined;
    planetFlyer?: string | undefined;
    planetImage?: string | undefined;
    planetName?: string | undefined;
    price?: number | undefined;
    radio?: boolean | undefined;
    smallImage?: string | undefined;
    admins: import("../blog/id.types").BlogIdBrand[];
    blogs: import("../blog/id.types").BlogIdBrand[];
    commonBlogs: import("../blog/id.types").BlogIdBrand[];
    launched: boolean;
    name: string;
    planetPosition: Record<string, number | null>;
    sourceCollective: "COMMON 06" | import("./types").CollectiveIdBrand;
    stripeProductID: import("../stripe/types").StripeProductIdBrand;
    subscribers: import("../user/types").UserIdBrand[];
    updatedBy: string;
    verified: boolean;
}, {
    type?: string | null | undefined;
    MV?: string | null | undefined;
    alias?: string | null | undefined;
    blogs?: string[] | undefined;
    collectiveSupport?: boolean | null | undefined;
    common?: boolean | null | undefined;
    commonBlogs?: string[] | undefined;
    description?: string | null | undefined;
    gofa?: boolean | null | undefined;
    hq?: string | null | undefined;
    image?: string | null | undefined;
    launched?: boolean | undefined;
    location?: string | null | undefined;
    mv?: string | null | undefined;
    planetFlyer?: string | null | undefined;
    planetImage?: string | null | undefined;
    planetName?: string | null | undefined;
    planetPosition?: Record<string, number | null> | undefined;
    price?: number | null | undefined;
    radio?: boolean | null | undefined;
    smallImage?: string | null | undefined;
    subscribers?: string[] | undefined;
    verified?: boolean | undefined;
    admins: string[];
    name: string;
    sourceCollective: string;
    stripeProductID: string;
    updatedBy: string;
}>;
export declare const collectiveCreateOutputParser: z.ZodEffects<z.ZodString, import("./types").CollectiveId, string>;
export declare type CreateCollectiveRequest = z.infer<typeof collectiveCreateInputParser>;
export declare type CreateCollectiveResponse = z.infer<typeof collectiveCreateOutputParser>;
export declare const collectiveUpdateInputParser: z.ZodObject<{
    type: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>>;
    MV: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>>;
    alias: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>>;
    blogs: z.ZodOptional<z.ZodDefault<z.ZodArray<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../blog/id.types").BlogIdBrand, string>, "many">>>;
    collectiveSupport: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>>;
    common: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>>;
    commonBlogs: z.ZodOptional<z.ZodDefault<z.ZodArray<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../blog/id.types").BlogIdBrand, string>, "many">>>;
    description: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>>;
    gofa: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>>;
    hq: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>>;
    image: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>>;
    launched: z.ZodOptional<z.ZodDefault<z.ZodBoolean>>;
    location: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>>;
    mv: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>>;
    name: z.ZodOptional<z.ZodString>;
    planetFlyer: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>>;
    planetImage: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>>;
    planetName: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>>;
    planetPosition: z.ZodOptional<z.ZodDefault<z.ZodRecord<z.ZodString, z.ZodNullable<z.ZodNumber>>>>;
    price: z.ZodOptional<z.ZodEffects<z.ZodOptional<z.ZodNullable<z.ZodNumber>>, number | undefined, number | null | undefined>>;
    radio: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>>;
    smallImage: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>>;
    sourceCollective: z.ZodOptional<z.ZodEffects<z.ZodUnion<[z.ZodLiteral<"COMMON 06">, z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>]>, "COMMON 06" | import("./types").CollectiveIdBrand, string>>;
    stripeProductID: z.ZodOptional<z.ZodEffects<z.ZodString, import("../stripe/types").StripeProductIdBrand, string>>;
    subscribers: z.ZodOptional<z.ZodDefault<z.ZodArray<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../user/types").UserIdBrand, string>, "many">>>;
    updatedBy: z.ZodOptional<z.ZodString>;
    verified: z.ZodOptional<z.ZodDefault<z.ZodBoolean>>;
    admins: z.ZodOptional<z.ZodArray<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../blog/id.types").BlogIdBrand, string>, "many">>;
}, "strip", z.ZodTypeAny, {
    type?: string | undefined;
    MV?: string | undefined;
    admins?: import("../blog/id.types").BlogIdBrand[] | undefined;
    alias?: string | undefined;
    blogs?: import("../blog/id.types").BlogIdBrand[] | undefined;
    collectiveSupport?: boolean | undefined;
    common?: boolean | undefined;
    commonBlogs?: import("../blog/id.types").BlogIdBrand[] | undefined;
    description?: string | undefined;
    gofa?: boolean | undefined;
    hq?: string | undefined;
    image?: string | undefined;
    launched?: boolean | undefined;
    location?: string | undefined;
    mv?: string | undefined;
    name?: string | undefined;
    planetFlyer?: string | undefined;
    planetImage?: string | undefined;
    planetName?: string | undefined;
    planetPosition?: Record<string, number | null> | undefined;
    price?: number | undefined;
    radio?: boolean | undefined;
    smallImage?: string | undefined;
    sourceCollective?: "COMMON 06" | import("./types").CollectiveIdBrand | undefined;
    stripeProductID?: import("../stripe/types").StripeProductIdBrand | undefined;
    subscribers?: import("../user/types").UserIdBrand[] | undefined;
    updatedBy?: string | undefined;
    verified?: boolean | undefined;
}, {
    type?: string | null | undefined;
    MV?: string | null | undefined;
    admins?: string[] | undefined;
    alias?: string | null | undefined;
    blogs?: string[] | undefined;
    collectiveSupport?: boolean | null | undefined;
    common?: boolean | null | undefined;
    commonBlogs?: string[] | undefined;
    description?: string | null | undefined;
    gofa?: boolean | null | undefined;
    hq?: string | null | undefined;
    image?: string | null | undefined;
    launched?: boolean | undefined;
    location?: string | null | undefined;
    mv?: string | null | undefined;
    name?: string | undefined;
    planetFlyer?: string | null | undefined;
    planetImage?: string | null | undefined;
    planetName?: string | null | undefined;
    planetPosition?: Record<string, number | null> | undefined;
    price?: number | null | undefined;
    radio?: boolean | null | undefined;
    smallImage?: string | null | undefined;
    sourceCollective?: string | undefined;
    stripeProductID?: string | undefined;
    subscribers?: string[] | undefined;
    updatedBy?: string | undefined;
    verified?: boolean | undefined;
}>;
export declare const collectiveUpdateParamsParser: z.ZodObject<{
    id: z.ZodEffects<z.ZodString, import("./types").CollectiveId, string>;
}, "strip", z.ZodTypeAny, {
    id: import("./types").CollectiveId;
}, {
    id: string;
}>;
export declare const collectiveUpdateResultParser: z.ZodVoid;
