"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.collectiveUpdateResultParser = exports.collectiveUpdateParamsParser = exports.collectiveUpdateInputParser = exports.collectiveCreateOutputParser = exports.collectiveCreateInputParser = exports.collectiveAdminParserAdminsTraitParser = exports.makeCollectiveAdminsParser = exports.makeCollectiveAdminsTraitParser = exports.collectiveAdminParser = exports.collectiveDeleteParamsParser = exports.collectiveGetOneResultParser = exports.collectiveGetOneParamsParser = exports.collectiveIdParser = exports.collectiveListResultParser = exports.collectiveListQueryParser = exports.collectiveBeneficiaryTraitParser = void 0;
const zod_1 = require("zod");
const types_1 = require("../utils/types");
const parsers_1 = require("../channel/parsers");
const parsers_2 = require("../common/parsers");
const parsers_3 = require("../stripe/parsers");
const id_utils_1 = require("./id.utils");
const parsers_id_1 = require("../blog/parsers.id");
const parsers_id_2 = require("./parsers.id");
const parsers_id_3 = require("../auth/user/parsers.id");
exports.collectiveBeneficiaryTraitParser = zod_1.z.object({
    admins: zod_1.z.array(parsers_id_1.firebaseBlogIdParser),
});
exports.collectiveListQueryParser = parsers_1.channelListParamsParser;
exports.collectiveListResultParser = zod_1.z.array(zod_1.z.any( /*stub*/)).transform((0, types_1.cast)());
exports.collectiveIdParser = zod_1.z.string().refine(id_utils_1.isCollectiveId);
exports.collectiveGetOneParamsParser = zod_1.z.object({
    id: exports.collectiveIdParser,
});
exports.collectiveGetOneResultParser = zod_1.z.any( /*stub, not schemable*/).transform((b) => b);
exports.collectiveDeleteParamsParser = exports.collectiveGetOneParamsParser;
exports.collectiveAdminParser = zod_1.z.string(exports.collectiveIdParser);
const makeCollectiveAdminsTraitParser = (a) => zod_1.z.object({
    admins: a,
});
exports.makeCollectiveAdminsTraitParser = makeCollectiveAdminsTraitParser;
const makeCollectiveAdminsParser = (p) => zod_1.z.array(p);
exports.makeCollectiveAdminsParser = makeCollectiveAdminsParser;
exports.collectiveAdminParserAdminsTraitParser = (0, exports.makeCollectiveAdminsTraitParser)((0, exports.makeCollectiveAdminsParser)(exports.collectiveAdminParser));
exports.collectiveCreateInputParser = zod_1.z
    .object({
    alias: parsers_2.nullableStringParser,
    blogs: zod_1.z.array(parsers_id_1.firebaseBlogIdParser).default([]),
    collectiveSupport: parsers_2.nullableBoolParser,
    common: parsers_2.nullableBoolParser,
    commonBlogs: zod_1.z.array(parsers_id_1.firebaseBlogIdParser).default([]),
    description: parsers_2.nullableStringParser,
    gofa: parsers_2.nullableBoolParser,
    hq: parsers_2.nullableStringParser,
    image: parsers_2.nullableUrlStringParser,
    launched: zod_1.z.boolean().default(false),
    location: parsers_2.nullableStringParser,
    mv: parsers_2.nullableStringParser,
    MV: parsers_2.nullableStringParser,
    name: zod_1.z.string(),
    planetFlyer: parsers_2.nullableStringParser,
    planetImage: parsers_2.nullableStringParser,
    planetName: parsers_2.nullableStringParser,
    planetPosition: zod_1.z.record(zod_1.z.number().nullable()).default({}),
    price: zod_1.z
        .number()
        .nullable()
        .optional()
        .transform((b) => b ?? undefined),
    radio: parsers_2.nullableBoolParser,
    smallImage: parsers_2.nullableUrlStringParser,
    sourceCollective: parsers_id_2.firebaseCollectiveIdParser,
    stripeProductID: parsers_3.stripeProductIdParser,
    subscribers: zod_1.z.array(parsers_id_3.firebaseUserIdParser).default([]),
    type: parsers_2.nullableStringParser,
    updatedBy: zod_1.z.string(parsers_id_3.firebaseUserIdParser),
    verified: zod_1.z.boolean().default(false),
})
    .merge(exports.collectiveBeneficiaryTraitParser);
exports.collectiveCreateOutputParser = exports.collectiveIdParser;
exports.collectiveUpdateInputParser = exports.collectiveCreateInputParser.partial();
exports.collectiveUpdateParamsParser = exports.collectiveGetOneParamsParser;
exports.collectiveUpdateResultParser = zod_1.z.void();
