"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const isomorphism_1 = require("./isomorphism");
describe('routingStrategyIsomorphism', () => {
    it('obeys the law', () => {
        const s = 'key=fanout';
        const r = isomorphism_1.routingStrategyIsomorphism.to(s);
        expect(isomorphism_1.routingStrategyIsomorphism.from(r)).toEqual(s);
    });
    it('obeys the law with properties strategies', () => {
        const s = 'key=threshold&threshold=999';
        const r = isomorphism_1.routingStrategyIsomorphism.to(s);
        expect(isomorphism_1.routingStrategyIsomorphism.from(r)).toEqual(s);
        expect(r.key).toEqual('threshold');
        // to compile further:
        if (r.key !== 'threshold')
            throw new Error('panic!');
        expect(r.params.threshold).toEqual(999);
    });
});
