"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.nonEmptyStringParser = exports.isFromParser = void 0;
const zod_1 = __importDefault(require("zod"));
// generates is(o)-like method from a parser
// const isStripeCustomerId = isFromParser(stripeCustomerIdParser)
// on practice though, TS doesn't seem to recognize "nested" `is ` statements, therefore usage like
// (id: string): id is StripeCustomerId => isFromParser(stripeCustomerIdParser)(id); is needed
const isFromParser = (parser) => (o) => parser.safeParse(o).success;
exports.isFromParser = isFromParser;
exports.nonEmptyStringParser = zod_1.default.string().min(1);
