import { StripeCustomerId } from '../stripe/types';
import { PaypalCustomerId } from '../payinProvider/types';
import { ORIGIN_TYPE_PAYPAL, ORIGIN_TYPE_STRIPE, ORIGIN_TYPES_EXTERNAL } from './constants';
import { Subset } from '../utils/types';

export type OriginTypeToOriginId = {
  [ORIGIN_TYPE_STRIPE]: StripeCustomerId;
  [ORIGIN_TYPE_PAYPAL]: PaypalCustomerId;
};

// eslint-disable-next-line @typescript-eslint/no-unused-vars
type AssertOriginTypeToOriginId1 = Subset<keyof OriginTypeToOriginId, typeof ORIGIN_TYPES_EXTERNAL[number]>;
// eslint-disable-next-line @typescript-eslint/no-unused-vars
type AssertOriginTypeToOriginId2 = Subset<typeof ORIGIN_TYPES_EXTERNAL[number], keyof OriginTypeToOriginId>;
