import { PayinDst, PayinSrc } from '../payin/types';
import { ChannelType } from '../channel/types';

export type PassportIssueSrc = PayinSrc;
export type PassportIssueDst<T extends ChannelType = ChannelType> = PayinDst<T>;

enum PassportIssueBrand {
  _ = '',
}

export type PassportIssueId = string & PassportIssueBrand;
export type WithPassportId = {
  id: PassportIssueId;
};
export type PassportCore = {
  src: PassportIssueSrc;
  dst: PassportIssueDst;
  issuedAt: number;
  expiresAt: number;
};
// this is inner subscription type; its meaning is different from payment provider's subscription entity
// 1) it is created at the point of payment provider's subscription is activated
// 2) it is deactivated at the point of payment provider's subscription is deactivated
// 3) src and dst are immutable
// 4) it is not deleted, but marked as inactive, for the reason of lookups from the payments, potentially; in that sense, it is a cache
// 5) its meaning is access control
// - with src, dst and issuedAt, we can historically lookup the access
export type Passport = PassportCore & WithPassportId;
