import { PAYIN_METHOD_ORIGIN_TYPES } from './constants';
import { StripePaymentMethodId } from '../stripe/types';
import { Subset } from '../utils/types';
import { ORIGIN_TYPE_STRIPE } from '../origin/constants';
import { PayinProviderOriginType } from '../payinProvider/types';

export type PayinMethodOriginType = typeof PAYIN_METHOD_ORIGIN_TYPES[number];
export type PayinMethodOriginId<PP extends PayinProviderOriginType = typeof ORIGIN_TYPE_STRIPE> =
  PP extends typeof ORIGIN_TYPE_STRIPE ? StripePaymentMethodId : never; // | PaypalPaymentMethodId

type PayinMethodOriginIdOfTypeMapping = {
  paypal: never; // PaypalPaymentMethodId
  stripe: StripePaymentMethodId;
}; // TODO 'satisties' of 4.9

// eslint-disable-next-line @typescript-eslint/no-unused-vars
type AssertPayinMethodOriginIdOfTypeMapping1 = Subset<keyof PayinMethodOriginIdOfTypeMapping, PayinMethodOriginType>;
// eslint-disable-next-line @typescript-eslint/no-unused-vars
type AssertPayinMethodOriginIdOfTypeMapping2 = Subset<PayinMethodOriginType, keyof PayinMethodOriginIdOfTypeMapping>;

export type PayinMethodOriginIdOfType<T extends PayinMethodOriginType> = PayinMethodOriginIdOfTypeMapping[T];
