import { PAYPAL_PLAN_ID_PREFIX, PAYPAL_PRODUCT_ID_PREFIX, paypalSubscriptionStatuses } from './constants';
import { PaypalPlanId, PaypalProductId, PaypalSubscriptionStatus } from './types';

export const isPaypalPlanId = (subject: string): subject is PaypalPlanId =>
  subject.length === 26 && subject.startsWith(PAYPAL_PLAN_ID_PREFIX);
export const isPaypalProductId = (subject: string): subject is PaypalProductId =>
  subject.length === 22 && subject.startsWith(PAYPAL_PRODUCT_ID_PREFIX);
export const isPaypalSubscriptionStatus = (s: string): s is PaypalSubscriptionStatus =>
  paypalSubscriptionStatuses.indexOf(s as PaypalSubscriptionStatus) !== -1;
export const toPaypalSubscriptionStatus = (s: string): PaypalSubscriptionStatus | undefined =>
  isPaypalSubscriptionStatus(s) ? s : undefined;
