import z from 'zod';
import { channelIdParser } from '../../../channel/parsers';
import { CHANNEL_AUTOCOMPLETE_FIELDS } from './constants';

export const channelAutocompleteQueryParser = z.object({
  q: z.string(), // any length
});

export const channelAutocompleteResultDocParser = z.object({
  id: channelIdParser,
  name: z.string(),
  description: z.string(),
});

export const channelAutocompleteResultParser = z.array(
  z.object({
    document: channelAutocompleteResultDocParser,
    highlights: z.array(
      z.object({
        field: z.enum(CHANNEL_AUTOCOMPLETE_FIELDS),
        tokens: z.array(z.string()),
      })
    ),
  })
);
